API Reference
Auto-generated
News
API reference for news endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/news
GET
/api/v1/newsFree cached news headlines
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| q | string | Optional | Match headline or snippet |
| category | string | Optional | category |
| source | string | Optional | Source id, e.g. bbc |
| language | string | Optional | language |
| since | string | Optional | Only items published after this time |
| limit | integer | Optional | limitDefault: 20 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/news \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"object": "example",
"count": 0,
"items": [],
"attribution": {},
"next_action": {},
"rate_limit": {}
}